/*
 *  Copyright 2006-2008 Mikhail Kryshen
 *
 *  This file is part of Tema.
 *
 *  Tema is free software: you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  Tema is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the 
 *  GNU Lesser General Public License along with Tema.  
 *  If not, see <http://www.gnu.org/licenses/>.
 *
 *  $Id: Hello.java,v 1.9 2008/02/16 17:56:34 mikhail Exp $
 */

package kryshen.tema.demo;

import java.io.Writer;
import java.io.IOException;
import kryshen.tema.*;

/**
 * Example function implementation.
 * 
 * @author Mikhail Kryshen
 */
public class Hello extends Function {
    public Hello() {}

    public int invoke(FunctionDataParser fdp, Writer out)
        throws IOException, TemplateException {
        
        out.write("Hello, ");
        return fdp.parseData(out);
    }
}
